Package ghidra.framework.model

# Interface LinkedDomainFile

All Superinterfaces:
  `Comparable<DomainFile>`, `DomainFile`

public interface LinkedDomainFile extends DomainFile
`LinkedDomainFile` corresponds to a `DomainFile` contained within a `LinkedDomainFolder`.

- ## Field Summary

  ### Fields inherited from interface ghidra.framework.model.DomainFile

  `DEFAULT_VERSION, READ_ONLY_PROPERTY, UNSUPPORTED_FILE_ICON`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getLinkedPathname()`
  Get the project file pathname relative to the linked-folder root.
  `DomainFile`
  `getRealFile()`
  Get the real domain file which corresponds to this file contained within a linked-folder.

  ### Methods inherited from interface java.lang.Comparable

  `compareTo`

  ### Methods inherited from interface ghidra.framework.model.DomainFile

  `addToVersionControl, canAddToRepository, canCheckin, canCheckout, canMerge, canRecover, canSave, checkin, checkin, checkout, copyTo, copyToAsLink, copyVersionTo, delete, delete, exists, getChangesByOthersSinceCheckout, getCheckouts, getCheckoutStatus, getConsumers, getContentType, getDomainObject, getDomainObjectClass, getFileID, getIcon, getImmutableDomainObject, getLastModifiedTime, getLatestVersion, getLinkInfo, getLocalProjectURL, getMetadata, getName, getOpenedDomainObject, getParent, getPathname, getProjectLocator, getReadOnlyDomainObject, getSharedProjectURL, getVersion, getVersionHistory, isBusy, isChanged, isCheckedOut, isCheckedOutExclusive, isHijacked, isInWritableProject, isLatestVersion, isLink, isLinkingSupported, isOpen, isReadOnly, isVersioned, length, merge, modifiedSinceCheckout, moveTo, packFile, save, setName, setReadOnly, takeRecoverySnapshot, terminateCheckout, undoCheckout, undoCheckout`

- ## Method Details

  - ### getLinkedPathname

    String getLinkedPathname()
    Get the project file pathname relative to the linked-folder root. NOTE: It may be a link-file path.
    Returns:
      project pathname

  - ### getRealFile

    DomainFile getRealFile() throws IOException
    Get the real domain file which corresponds to this file contained within a linked-folder.
    Returns:
      domain file
    Throws:
      `IOException` - if IO error occurs or file not found